export default {
    data: function() {
        return {
            id: '',
            name: '',
            errorMessage: '',
            errorColor: ERROR_COLOR
        }
    },
    methods: {
        addTeam: function() {
            this.errorMessage = '';
            if (!this.id || !this.name) {
                this.errorMessage = 'ID and Name are required !';
                return;
            }

            const team = { id: this.id, name: this.name};
            console.log('form.addTeam', team);

            this.$emit('addTeam', team);

            this.id = '';
            this.name = '';
        }
    },
    template: `<section>
                <h2>News form</h2>
                <form @submit.prevent>
                    <div v-bind:style="{ color: errorColor}">{{ errorMessage }}</div>
                    <div>
                        <label>ID</label><br/>
                        <input type="text" v-model="id"/>
                    </div>
                    <div>
                        <label>Name</label><br/>
                        <input type="text" v-model="name"/>
                    </div>
                    <input type="submit" value="Create Team" @click="addTeam"/>
                </form>
            </section>`
}